The pandoc package

[Tags: gpl, library, program]

Pandoc is a Haskell library for converting from one markup format to another, and a command-line tool that uses this library. It can read markdown and (subsets of) HTML, reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup, OPML, and Textile, and it can write markdown, reStructuredText, HTML, LaTeX, ConTeXt, Docbook, OPML, OpenDocument, ODT, Word docx, RTF, MediaWiki, Textile, groff man pages, plain text, Emacs Org-Mode, AsciiDoc, EPUB (v2 and v3), FictionBook2, and several kinds of HTML/javascript slide shows (S5, Slidy, Slideous, DZSlides, reveal.js).

Pandoc extends standard markdown syntax with footnotes, embedded LaTeX, definition lists, tables, and other features. A compatibility mode is provided for those who need a drop-in replacement for Markdown.pl.

In contrast to existing tools for converting markdown to HTML, which use regex substitutions, pandoc has a modular design: it consists of a set of readers, which parse text in a given format and produce a native representation of the document, and a set of writers, which convert this native representation into a target format. Thus, adding an input or output format requires only adding a reader or writer.


Properties

Versions0.4, 0.41, 0.42, 0.43, 0.44, 0.45, 0.46, 1.0, 1.0.0.1, 1.1, 1.2, 1.2.1, 1.3, 1.4, 1.5, 1.5.0.1, 1.5.1, 1.5.1.1, 1.6, 1.6.0.1, 1.8, 1.8.0.1, 1.8.0.2, 1.8.0.3, 1.8.1, 1.8.1.1, 1.8.1.2, 1.8.2, 1.8.2.1, 1.9, 1.9.0.2, 1.9.0.3, 1.9.0.4, 1.9.0.5, 1.9.1, 1.9.1.1, 1.9.1.2, 1.9.2, 1.9.3, 1.9.4, 1.9.4.1, 1.9.4.2, 1.9.4.3, 1.9.4.4, 1.9.4.5, 1.10, 1.10.0.1, 1.10.0.2, 1.10.0.3, 1.10.0.4, 1.10.0.5, 1.10.1, 1.11, 1.11.1, 1.12, 1.12.0.1, 1.12.0.2, 1.12.1, 1.12.2, 1.12.2.1, 1.12.3, 1.12.3.1, 1.12.3.2, 1.12.3.3, 1.12.4, 1.12.4.2, 1.13, 1.13.0.1
Dependenciesaeson (==0.6.*), array (>=0.3 && <0.5), attoparsec (==0.10.*), base (>=4.2 && <5), base64-bytestring (>=0.1 && <1.1), blaze-html (>=0.5 && <0.7), blaze-markup (>=0.5.1 && <0.6), bytestring (>=0.9 && <0.11), containers (>=0.1 && <0.6), data-default (>=0.4 && <0.6), directory (>=1 && <1.3), extensible-exceptions (==0.1.*), filepath (>=1.1 && <1.4), highlighting-kate (>=0.5.5 && <0.6), hslua (==0.3.*), HTTP (>=4000.0.5 && <4000.3), mtl (>=1.1 && <2.2), network (>=2 && <2.5), old-locale (>=1 && <1.1), old-time (>=1.0 && <1.2), pandoc, pandoc-types (>=1.12.1 && <1.13), parsec (==3.1.*), process (>=1 && <1.2), random (>=1 && <1.1), stringable (==0.1.*), syb (>=0.1 && <0.5), tagsoup (>=0.12.5 && <0.14), temporary (==1.1.*), texmath (>=0.6.4 && <0.7), text (==0.11.*), time (>=1.2 && <1.5), unordered-containers (==0.2.*), vector (==0.10.*), xml (>=1.3.12 && <1.4), yaml (>=0.8.3 && <0.9), zip-archive (>=0.1.3.3 && <0.2), zlib (==0.5.*)
LicenseGPL
Copyright(c) 2006-2013 John MacFarlane
AuthorJohn MacFarlane <jgm@berkeley.edu>
MaintainerJohn MacFarlane <jgm@berkeley.edu>
Stabilityalpha
CategoryText
Home pagehttp://johnmacfarlane.net/pandoc
Bug trackerhttps://github.com/jgm/pandoc/issues
Source repositoryhead: git clone git://github.com/jgm/pandoc.git
Executablesmake-pandoc-man-pages, pandoc
Upload dateSat Sep 21 01:20:55 UTC 2013
Uploaded byJohnMacFarlane
DistributionsDebian:1.9.4.2, Fedora:1.12.3.3, FreeBSD:1.11.1, NixOS:1.13.0.1
Downloads39302 total (3850 in last 30 days)

Modules

[Index]

Flags

NameDescriptionDefault
embed_data_filesEmbed data files in binary for relocatable executable.Disabled
http-conduitEnable downloading of resources over https.Enabled

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainers' corner

For package maintainers and hackage trustees